#include<cstdio>
#include<cmath>
memset(vis,0,sizeof(vis));


int get_prime_nums(int n){  //返回1 ~ 10^n素数个数的位数
   double m=double(n-log10(n)-log10(log(10)));
   return int(m)+1;
}
int main()
{
	int n=12;
	printf("%d",get_prime_nums(n));
}
